/*
 File: subrule_vector.cpp
 Date and Time: Fri Jan 30 18:55:24 2015 
*/
#include "subrule_vector.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_subrule_vector;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 1;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
}
  Csubrule_vector::
  Csubrule_vector()
    :yacco2::CAbs_fsm
      ("subrule_vector.lex"
      ,"1.0"
      ,"8 Jun 2004"
      ,true
      ,"Lexer of subrule begin operator: \\subrule."
      ,"Fri Jan 30 18:55:24 2015 "
      ,S1_Csubrule_vector){
    
  }
 
Csubrule_vector::~Csubrule_vector(){

  for(int x = 0;x < 1;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Csubrule_vector::failed(){
      return false;
  }
  void Csubrule_vector::op(){
}
int Csubrule_vector::rhs_to_rules_mapping_[2] = {
 -1
 ,0 // subrule 1 for rule 1
}; 
Rsubrule_vector::Rsubrule_vector(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rsubrule_vector",0,Csubrule_vector::R_Rsubrule_vector_,P,false,false){
}

void Rsubrule_vector::op(){
  sstrace_rulesss
 
      rtn_sym_->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
      RSVP(rtn_sym_);
    
}
void Rsubrule_vector::sr1(){
   
      rtn_sym_ = new T_selector; 
    
}

